Base element to the application tools panel.

Include the style for the header.

Example:

       import {html, css} from 'lit';
       import {customElement} from 'lit/decorators.js';

       // @ts-ignore
       @customElement('my-panel')
       export default class MyToolPanel extent (window as any).gmfapi.elements.ToolPanelElement {
         static styles = [
           ...(window as any).gmfapi.elements.ToolPanelElement.styles,
           css`...`
         ];

         render(): TemplateResult {
           return html`${this.getTitle(i18next.t('Title'))}
             your template`
         }
       }

### Hierarchy

- default
  - default
    - default

## Index

### Constructors

- constructor

### Properties

- bootstrapStyle
- bootstrapVarStyle
- commonStyle
- fontawesomeStyle
- resetStyle
- styles

### Methods

- connectedCallback
- disconnectedCallback
- getTitle
- mozRequestFullScreen
- mozRequestFullScreenWithKeys
- msRequestFullscreen
- webkitRequestFullscreen

## Constructors

### constructor

- new default(): default

- Inherited from default.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:447

  #### Returns default

## Properties

### Static bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### Static bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### Static commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### Static fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### Static resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### Static styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in srcapi/elements/ToolPanelElement.ts:51

## Methods

### connectedCallback

- connectedCallback(): void

- Inherited from default.connectedCallback

  - Defined in srcapi/elements/BaseElement.ts:139

  #### Returns void

### disconnectedCallback

- disconnectedCallback(): void

- Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:158

  #### Returns void

### getTitle

- getTitle(panelName: string): TemplateResult<ResultType>

- - Defined in srcapi/elements/ToolPanelElement.ts:66

  #### Parameters

  - ##### panelName: string

  #### Returns TemplateResult<ResultType>

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

  #### Returns Promise<void>

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

  #### Returns Promise<void>

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

  #### Returns Promise<void>

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

  #### Parameters

  - ##### Optional allowKeyboardInput: number

  #### Returns Promise<void>

Generated using TypeDoc